#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1431\r"; sleep 2;
echo -e "write (0,1) -1570\r"; sleep 2;
echo -e "write (0,2) -1453\r"; sleep 2;
echo -e "write (0,3) -1600\r"; sleep 2;
echo -e "write (0,4) -1463\r"; sleep 2;
echo -e "write (0,5) -1528\r"; sleep 2;
echo -e "write (0,6) -1656\r"; sleep 2;
echo -e "write (0,9) -1622\r"; sleep 2;
echo -e "write (0,10) -1519\r"; sleep 2;
echo -e "write (0,11) -1389\r"; sleep 2;
echo -e "write (0,12) -1480\r"; sleep 2;
echo -e "write (0,13) -1514\r"; sleep 2;
echo -e "write (0,14) -1537\r"; sleep 2;
echo -e "write (1,0) -1355\r"; sleep 2;
echo -e "write (1,1) -1581\r"; sleep 2;
echo -e "write (1,2) -1320\r"; sleep 2;
echo -e "write (1,3) -1332\r"; sleep 2;
echo -e "write (1,4) -1600\r"; sleep 2;
echo -e "write (1,5) -1424\r"; sleep 2;
echo -e "write (1,6) -1430\r"; sleep 2;
echo -e "write (1,9) -1578\r"; sleep 2;
echo -e "write (1,10) -1299\r"; sleep 2;
echo -e "write (1,11) -1405\r"; sleep 2;
echo -e "write (1,12) -1405\r"; sleep 2;
echo -e "write (1,13) -1446\r"; sleep 2;
echo -e "write (1,14) -1273\r"; sleep 2;
echo -e "write (2,0) -1373\r"; sleep 2;
echo -e "write (2,1) -1341\r"; sleep 2;
echo -e "write (2,2) -1355\r"; sleep 2;
echo -e "write (2,3) -1405\r"; sleep 2;
echo -e "write (2,4) -1524\r"; sleep 2;
echo -e "write (2,5) -1387\r"; sleep 2;
echo -e "write (2,6) -1558\r"; sleep 2;
echo -e "write (2,9) -1347\r"; sleep 2;
echo -e "write (2,10) -1277\r"; sleep 2;
echo -e "write (2,11) -1464\r"; sleep 2;
echo -e "write (2,12) -1468\r"; sleep 2;
echo -e "write (2,14) -1390\r"; sleep 2;
echo -e "write (3,0) -1529\r"; sleep 2;
echo -e "write (3,1) -1509\r"; sleep 2;
echo -e "write (3,2) -1387\r"; sleep 2;
echo -e "write (3,3) -1667\r"; sleep 2;
echo -e "write (3,4) -1442\r"; sleep 2;
echo -e "write (3,5) -1361\r"; sleep 2;
echo -e "write (3,6) -1260\r"; sleep 2;
echo -e "write (3,9) -1375\r"; sleep 2;
echo -e "write (3,10) -1360\r"; sleep 2;
echo -e "write (3,11) -1259\r"; sleep 2;
echo -e "write (3,12) -1263\r"; sleep 2;
echo -e "write (3,13) -1386\r"; sleep 2;
echo -e "write (3,14) -1491\r"; sleep 2;
echo -e "write (4,0) -1400\r"; sleep 2;
echo -e "write (4,1) -1576\r"; sleep 2;
echo -e "write (4,2) -1597\r"; sleep 2;
echo -e "write (4,3) -1635\r"; sleep 2;
echo -e "write (4,4) -1346\r"; sleep 2;
echo -e "write (4,5) -1624\r"; sleep 2;
echo -e "write (4,6) -1607\r"; sleep 2;
echo -e "write (4,9) -1609\r"; sleep 2;
echo -e "write (4,10) -1397\r"; sleep 2;
echo -e "write (4,11) -1417\r"; sleep 2;
echo -e "write (4,12) -1518\r"; sleep 2;
echo -e "write (4,13) -1314\r"; sleep 2;
echo -e "write (4,14) -1389\r"; sleep 2;
echo -e "write (5,0) -1316\r"; sleep 2;
echo -e "write (5,1) -1397\r"; sleep 2;
echo -e "write (5,2) -1522\r"; sleep 2;
echo -e "write (5,3) -1385\r"; sleep 2;
echo -e "write (5,4) -1370\r"; sleep 2;
echo -e "write (5,5) -1337\r"; sleep 2;
echo -e "write (5,6) -1469\r"; sleep 2;
echo -e "write (5,9) -1452\r"; sleep 2;
echo -e "write (5,10) -1344\r"; sleep 2;
echo -e "write (5,11) -1476\r"; sleep 2;
echo -e "write (5,12) -1346\r"; sleep 2;
echo -e "write (5,14) -1412\r"; sleep 2;
echo -e "write (5,15) -1334\r"; sleep 2;
echo -e "write (6,0) -1513\r"; sleep 2;
echo -e "write (6,1) -1600\r"; sleep 2;
echo -e "write (6,2) -1633\r"; sleep 2;
echo -e "write (6,3) -1411\r"; sleep 2;
echo -e "write (6,4) -1600\r"; sleep 2;
echo -e "write (6,5) -1628\r"; sleep 2;
echo -e "write (6,6) -1488\r"; sleep 2;
echo -e "write (6,9) -1600\r"; sleep 2;
echo -e "write (6,10) -1589\r"; sleep 2;
echo -e "write (6,12) -1437\r"; sleep 2;
echo -e "write (6,13) -1361\r"; sleep 2;
echo -e "write (6,14) -1433\r"; sleep 2;
echo -e "write (7,0) -1526\r"; sleep 2;
echo -e "write (7,1) -1363\r"; sleep 2;
echo -e "write (7,2) -1487\r"; sleep 2;
echo -e "write (7,3) -1570\r"; sleep 2;
echo -e "write (7,4) -1480\r"; sleep 2;
echo -e "write (7,5) -1243\r"; sleep 2;
echo -e "write (7,6) -1690\r"; sleep 2;
echo -e "write (7,9) -1461\r"; sleep 2;
echo -e "write (7,10) -1600\r"; sleep 2;
echo -e "write (7,11) -1385\r"; sleep 2;
echo -e "write (7,12) -1655\r"; sleep 2;
echo -e "write (7,13) -1404\r"; sleep 2;
echo -e "write (7,14) -1499\r"; sleep 2;
echo -e "write (8,0) -1467\r"; sleep 2;
echo -e "write (8,1) -1356\r"; sleep 2;
echo -e "write (8,2) -1408\r"; sleep 2;
echo -e "write (8,3) -1524\r"; sleep 2;
echo -e "write (8,4) -1531\r"; sleep 2;
echo -e "write (8,5) -1456\r"; sleep 2;
echo -e "write (8,6) -1384\r"; sleep 2;
echo -e "write (8,9) -1319\r"; sleep 2;
echo -e "write (8,10) -1600\r"; sleep 2;
echo -e "write (8,11) -1571\r"; sleep 2;
echo -e "write (8,12) -1619\r"; sleep 2;
echo -e "write (8,13) -1264\r"; sleep 2;
echo -e "write (8,14) -1681\r"; sleep 2;
echo -e "write (9,0) -1580\r"; sleep 2;
echo -e "write (9,1) -1335\r"; sleep 2;
echo -e "write (9,2) -1334\r"; sleep 2;
echo -e "write (9,3) -1336\r"; sleep 2;
echo -e "write (9,4) -1316\r"; sleep 2;
echo -e "write (9,5) -1431\r"; sleep 2;
echo -e "write (9,6) -1443\r"; sleep 2;
echo -e "write (9,9) -1563\r"; sleep 2;
echo -e "write (9,10) -1521\r"; sleep 2;
echo -e "write (9,11) -1362\r"; sleep 2;
echo -e "write (9,12) -1666\r"; sleep 2;
echo -e "write (9,13) -1600\r"; sleep 2;
echo -e "write (9,14) -1574\r"; sleep 2;
echo -e "write (10,0) -1505\r"; sleep 2;
echo -e "write (10,1) -1508\r"; sleep 2;
echo -e "write (10,2) -1477\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1496\r"; sleep 2;
echo -e "write (10,5) -1340\r"; sleep 2;
echo -e "write (10,6) -1346\r"; sleep 2;
echo -e "write (10,9) -1669\r"; sleep 2;
echo -e "write (10,10) -1424\r"; sleep 2;
echo -e "write (10,11) -1576\r"; sleep 2;
echo -e "write (10,12) -1595\r"; sleep 2;
echo -e "write (10,13) -1267\r"; sleep 2;
echo -e "write (10,14) -1609\r"; sleep 2;
echo -e "write (11,0) -1318\r"; sleep 2;
echo -e "write (11,1) -1453\r"; sleep 2;
echo -e "write (11,2) -1606\r"; sleep 2;
echo -e "write (11,3) -1550\r"; sleep 2;
echo -e "write (11,4) -1597\r"; sleep 2;
echo -e "write (11,5) -1345\r"; sleep 2;
echo -e "write (11,6) -1456\r"; sleep 2;
echo -e "write (11,9) -1600\r"; sleep 2;
echo -e "write (11,10) -1370\r"; sleep 2;
echo -e "write (11,11) -1652\r"; sleep 2;
echo -e "write (11,12) -1486\r"; sleep 2;
echo -e "write (11,13) -1379\r"; sleep 2;
echo -e "write (11,14) -1615\r"; sleep 2;
echo -e "write (12,0) -1411\r"; sleep 2;
echo -e "write (12,1) -1464\r"; sleep 2;
echo -e "write (12,2) -1437\r"; sleep 2;
echo -e "write (12,3) -1447\r"; sleep 2;
echo -e "write (12,4) -1545\r"; sleep 2;
echo -e "write (12,5) -1600\r"; sleep 2;
echo -e "write (12,6) -1444\r"; sleep 2;
echo -e "write (12,9) -1385\r"; sleep 2;
echo -e "write (12,10) -1294\r"; sleep 2;
echo -e "write (12,11) -1460\r"; sleep 2;
echo -e "write (12,12) -1375\r"; sleep 2;
echo -e "write (12,13) -1403\r"; sleep 2;
echo -e "write (12,14) -1484\r"; sleep 2;
echo -e "write (13,0) -1495\r"; sleep 2;
echo -e "write (13,1) -1637\r"; sleep 2;
echo -e "write (13,2) -1675\r"; sleep 2;
echo -e "write (13,3) -1361\r"; sleep 2;
echo -e "write (13,4) -1304\r"; sleep 2;
echo -e "write (13,5) -1416\r"; sleep 2;
echo -e "write (13,6) -1384\r"; sleep 2;
echo -e "write (13,9) -1573\r"; sleep 2;
echo -e "write (13,10) -1399\r"; sleep 2;
echo -e "write (13,11) -1267\r"; sleep 2;
echo -e "write (13,12) -1305\r"; sleep 2;
echo -e "write (13,13) -1423\r"; sleep 2;
echo -e "write (13,14) -1348\r"; sleep 2;
echo -e "write (14,0) -1337\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1227\r"; sleep 2;
echo -e "write (14,4) -1370\r"; sleep 2;
echo -e "write (14,5) -1318\r"; sleep 2;
echo -e "write (14,6) -1344\r"; sleep 2;
echo -e "write (14,7) -1628\r"; sleep 2;
echo -e "write (14,9) -1494\r"; sleep 2;
echo -e "write (14,10) -1347\r"; sleep 2;
echo -e "write (14,11) -1507\r"; sleep 2;
echo -e "write (14,12) -1382\r"; sleep 2;
echo -e "write (14,13) -1379\r"; sleep 2;
echo -e "write (14,14) -1586\r"; sleep 2;
echo -e "write (15,0) -1456\r"; sleep 2;
echo -e "write (15,1) -1620\r"; sleep 2;
echo -e "write (15,2) -1528\r"; sleep 2;
echo -e "write (15,15) -1600\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7008 > ../log/fms_hvon_7008_$t.tex
echo Set new HV
cat ../log/fms_hvon_7008_$t.tex
